Bug 1383607 - OSP9/10 upgrade: Cinder upgrade fails to converge.
Summary: OSP9/10 upgrade: Cinder upgrade fails to converge.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: RHOS Maint
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On:
Blocks: 1337794
TreeView+ depends on / blocked
 
Reported: 2016-10-11 08:35 UTC by Sofer Athlan-Guyot
Modified: 2016-12-29 17:01 UTC (History)
8 users (show)

Fixed In Version: puppet-tripleo-5.3.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:15:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 384870 None None None 2016-10-12 14:38:14 UTC
Launchpad 1632232 None None None 2016-10-11 08:35:59 UTC

Description Sofer Athlan-Guyot 2016-10-11 08:35:59 UTC
Description of problem:

During the convergence step[1] from environments/major-upgrade-pacemaker-converge.yaml of a OSP9/10 upgrade, blockstorage puppet run fails with:

    Error: /Stage[main]/Tripleo::Profile::Pacemaker::Cinder::Volume/Tripleo::Pacemaker::Resource_restart_flag[openstack-cinder-volume]/Exec[openstack-cinder-volume resource restart flag]: Failed to call refresh: touch /var/lib/tripleo/pacemaker-restarts/openstack-cinder-volume returned 1 instead of one of [0]
    Error: /Stage[main]/Tripleo::Profile::Pacemaker::Cinder::Volume/Tripleo::Pacemaker::Resource_restart_flag[openstack-cinder-volume]/Exec[openstack-cinder-volume resource restart flag]: touch /var/lib/tripleo/pacemaker-restarts/openstack-cinder-volume returned 1 instead of one of [0]

[1] overcloud-AllNodesDeploySteps-v2p6ponskyis-BlockStorageDeployment_Step3-37mliuf6ydhl

Version-Release number of selected component (if applicable):

puppet-tripleo.noarch                5.2.0-1.el7ost     @rhelosp-10.0-brew

How reproducible: always


Steps to Reproduce:
1. Install osp9 with at least one blockstorage
2. Upgrade to osp10
3. Convergence step fails on blockstorage.

Comment 1 Sofer Athlan-Guyot 2016-10-12 14:38:15 UTC
Adding gerrit upstream review.

Comment 2 Marios Andreou 2016-10-14 06:18:25 UTC
fix also merged to newton https://review.openstack.org/#/c/386055/
moving to

Comment 4 Omri Hochman 2016-11-07 21:42:37 UTC
unable to reproduce: puppet-tripleo-5.3.0-4.el7ost.noarch

Comment 6 errata-xmlrpc 2016-12-14 16:15:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.